<!DOCTYPE html>
<html lang="en">
  <head>
    <style>
      table, th, td {
        border: 1px solid black;
        border-collapse: collapse;
      }
      </style>
    <meta charset="UTF-8" />
    <title>Friend List</title>
  </head>
  <body>
    <table>
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
      {% if friends %}
          {% for friend in friends %}
            <tr>
              <td>{{friend.name}}</td>
              <td>{{friend.npm}}</td>
              <td>{{friend.DOB}}</td>
            </tr>
              {% endfor %}
            {% endif %}
      </tr>
    </table>
  </body>
</html>
